#include <iostream>
using namespace std;
int main(){
    /*int n,masiv[100001],br,obshto=0,j=0,pluskolko=0;
    scanf("%d",&n);
    scanf("%d",&masiv[0]);
    scanf("%d",&masiv[1]);
    for(int i=1;i<n;){
        while(masiv[i]>masiv[i-1] && i<n){
            pluskolko+=2;
            obshto+=pluskolko;
            i++;
            if(i!=n){
                scanf("%d",&masiv[i]);
            }
        }
        pluskolko=0;
        while(masiv[i]<masiv[i-1] && i<n){
            pluskolko+=2;
            obshto+=pluskolko;
            i++;
            if(i!=n){
                scanf("%d",&masiv[i]);
            }
        }
        pluskolko=0;
    }
    printf("%d",obshto);*/
    int n,masiv[100001],a,b,c;
    cin>>n;
    for(int i=0;i<n;i++){
        a++;
        b++;
        c++;
        scanf("%d",&masiv[i]);
    }
    return 0;
}
